curl --request GET \
--url https://api.callab.ai/v1/webhooks \
--header 'Authorization: Bearer <token>'{
"status": "ok",
"message": "<string>",
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"created_by": "123e4567-e89b-12d3-a456-426614174001",
"company_id": "123e4567-e89b-12d3-a456-426614174001",
"workspace_id": "default",
"name": "VTIGER BRING CONTACTS",
"logo": "<string>",
"retry_delay": 5,
"retry_delay_unit": "seconds",
"max_retries": 3,
"status": "scheduled",
"created_at": "2023-10-01T12:34:56Z",
"updated_at": "2023-10-02T12:34:56Z",
"executions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "scheduled",
"attempt_number": 123,
"executed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"next_retry_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"error_message": "<string>"
}
],
"steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_number": 123,
"webhook_url": "<string>",
"webhook_method": "GET",
"webhook_timeout": 123,
"retry_limit": 3,
"timeout": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"webhook_url_params": {},
"webhook_headers": {},
"webhook_body": {},
"depends_on_step": 123,
"success_condition": {},
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"is_template": false,
"flow_direction": "inbound",
"flow_mapping": {},
"tag_name": "lead1",
"category_name": "all leads",
"deleted_at": "2023-10-03T12:34:56Z",
"predefinedVariables": [
{
"name": "<string>",
"value": "<string>"
}
],
"variables": [
{
"name": "<string>",
"location": "<string>",
"stepId": 123,
"type": "<string>",
"dataType": "<string>",
"customValue": "<string>"
}
]
}
]
}Returns all outbound webhooks (flows) associated with the authenticated user’s company, optionally filtered by workspace ID.
curl --request GET \
--url https://api.callab.ai/v1/webhooks \
--header 'Authorization: Bearer <token>'{
"status": "ok",
"message": "<string>",
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"created_by": "123e4567-e89b-12d3-a456-426614174001",
"company_id": "123e4567-e89b-12d3-a456-426614174001",
"workspace_id": "default",
"name": "VTIGER BRING CONTACTS",
"logo": "<string>",
"retry_delay": 5,
"retry_delay_unit": "seconds",
"max_retries": 3,
"status": "scheduled",
"created_at": "2023-10-01T12:34:56Z",
"updated_at": "2023-10-02T12:34:56Z",
"executions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "scheduled",
"attempt_number": 123,
"executed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"next_retry_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"error_message": "<string>"
}
],
"steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_number": 123,
"webhook_url": "<string>",
"webhook_method": "GET",
"webhook_timeout": 123,
"retry_limit": 3,
"timeout": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"webhook_url_params": {},
"webhook_headers": {},
"webhook_body": {},
"depends_on_step": 123,
"success_condition": {},
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"is_template": false,
"flow_direction": "inbound",
"flow_mapping": {},
"tag_name": "lead1",
"category_name": "all leads",
"deleted_at": "2023-10-03T12:34:56Z",
"predefinedVariables": [
{
"name": "<string>",
"value": "<string>"
}
],
"variables": [
{
"name": "<string>",
"location": "<string>",
"stepId": 123,
"type": "<string>",
"dataType": "<string>",
"customValue": "<string>"
}
]
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Optional Workspace ID to filter webhooks. Defaults to 'default' if not specified.
Webhooks response.
ok, error A list of flow objects representing webhooks.
Show child attributes
Unique identifier for the flow
"123e4567-e89b-12d3-a456-426614174000"
ID of the user who created the flow
"123e4567-e89b-12d3-a456-426614174001"
ID of the company who created the flow
"123e4567-e89b-12d3-a456-426614174001"
ID of the workspace the flow belongs to. Defaults to "default" if not specified.
"default"
Name of the flow
"VTIGER BRING CONTACTS"
Logo of the the flow
Retry delay in specified units
5
Unit of retry delay
seconds, minutes, hours, days Maximum number of retries
3
Current status of the flow
scheduled, in-progress, running, failed, stopped, deleted Timestamp when the flow was created
"2023-10-01T12:34:56Z"
Timestamp when the flow was last updated
"2023-10-02T12:34:56Z"
List of executions associated with the flow
Show child attributes
Unique identifier for the execution
Current status of the execution
scheduled, in_progress, success, failed Number of attempts made for this execution
Timestamp when the execution was initiated (equivalent to created_at in this context if it signifies start)
Timestamp when the execution record was created
Timestamp when the execution record was last updated
Timestamp for the next retry attempt
Timestamp when the execution was completed or failed
Error message if the execution failed
List of steps associated with the flow
Show child attributes
Unique identifier for the step
Sequential number of the step in the flow
URL to which the webhook request will be sent
HTTP method to use for the webhook request
GET, POST, PUT, DELETE, PATCH, OPTIONS, HEAD Timeout duration (in seconds) for the webhook request
Maximum number of retries for this step
Timeout duration (in seconds) for the step execution itself
Timestamp when the step was created
Timestamp when the step was last updated
Parameters to be included in the webhook URL (key-value pairs)
Headers to be included in the webhook request (key-value pairs)
Body of the webhook request (any JSON structure)
Step number on which this step depends
Conditions that determine if the step execution is successful (any JSON structure)
Timestamp when the step was deleted
Indicates if the flow is a template
false
Direction of the flow
inbound, outbound Flow mapping configuration (any JSON object structure)
Tag of the flow
"lead1"
Category of the flow
"all leads"
Timestamp when the flow was deleted
"2023-10-03T12:34:56Z"
Was this page helpful?